Subject: [Norton AntiSpam] This stuff is not really expensive as before...

From: "Sandy Valenzuela" <[email-masked]>
Date: Thu, 28 Apr 2005 10:10:35 +0000

Hello!

Viagra is the #1 med to struggle with mens' erectile dysfunction.
Like one jokes sais, it is stronq enough for a man ,but made for a woman ;-)

Orderinq Viagra online is a very convinient ,fast and secure way!
Millions of peopIe do it daily to save their privacy and money

Order here...